import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { PipeExampleComponent } from './pipe-example/pipe-example.component';
import { ShortTextPipe } from './short-text.pipe';
import { SortPricePipe } from './sort-price.pipe';
import { FormsModule } from '@angular/forms';
import { DirectiveExampleComponent } from './directive-example/directive-example.component';
import { BgColorDirective } from './bg-color.directive';
import { CustomBgColorDirective } from './custom-bg-color.directive';
import { EventDirectiveDirective } from './event-directive.directive';

@NgModule({
  declarations: [
    AppComponent,
    PipeExampleComponent,
    ShortTextPipe,
    SortPricePipe,
    DirectiveExampleComponent,
    BgColorDirective,
    CustomBgColorDirective,
    EventDirectiveDirective
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
