import { Directive, ElementRef, Input } from '@angular/core';

@Directive({
  selector: '[appCustomBgColor]'
})
export class CustomBgColorDirective {

  @Input() bgColor:string = 'red';

  constructor(private element:ElementRef) { 
    this.element.nativeElement.style.backgroundColor = this.bgColor;
  }
  
  ngOnChanges(changes){
    if(changes.bgColor){
      this.element.nativeElement.style.backgroundColor = this.bgColor;
    }
  }

}
