import { Directive, Input, ElementRef, HostListener } from '@angular/core';

@Directive({
  selector: '[appEventDirective]'
})
export class EventDirectiveDirective {

  @Input() regularColor:string = 'blue';
  @Input() hoverColor:string = 'yellow';
  @Input() clickedColor:string = 'yellow';


  constructor(private element:ElementRef) { }

  @HostListener('mouseover') onMouseOver(){
    this.changeColor(this.hoverColor);
  }

  @HostListener('mouseleave') onMouseLeave(){
    this.changeColor(this.regularColor);
  }

  @HostListener('click') onMouseClick(){
    this.changeColor(this.clickedColor);
  }

  changeColor(color){
    this.element.nativeElement.style.backgroundColor = color;
  }

  ngOnInit(){
    this.changeColor(this.regularColor);
  }

}
